Bug 1567775 - openssh-7.7p1 tunneling broken on the server side
Summary: openssh-7.7p1 tunneling broken on the server side
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 08:01 UTC by Yanko Kaneti
Modified: 2018-04-27 04:03 UTC (History)
7 users (show)

Fixed In Version: openssh-7.7p1-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-27 04:03:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Yanko Kaneti 2018-04-16 08:01:32 UTC
Description of problem:
The exact same sshd config (with PermitTunnel yes)  works with
openssh-7.6p1-7.fc29.x86_64.rpm and doesn't with openssh-7.7p1-2.fc29.x86_64

With two preconfigured tun0 interfaces on both sides and logging in as root:

# ssh <7.7 host>  -w 0:0
...
channel 0: open failed: connect failed: open failed
...



The client version is the same openssh-7.6p1-5.fc27.x86_64

Comment 1 Jakub Jelen 2018-04-16 11:02:33 UTC
Thanks for the report. Already discussed upstream [1] and fixed in 7.7 branch upstream. I will bring the fixes in soon to Fedora.

[1] https://bugzilla.mindrot.org/show_bug.cgi?id=2855

Comment 2 Fedora Update System 2018-04-16 11:02:38 UTC
openssh-7.7p1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9458d7b545

Comment 3 Fedora Update System 2018-04-17 03:03:36 UTC
openssh-7.7p1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9458d7b545

Comment 4 Fedora Update System 2018-04-27 04:03:51 UTC
openssh-7.7p1-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.